#pragma once
#include <filesystem>
#include <fstream>
#include <set>
#include <string>
#include <vector>
#include <iostream>
#include <cstdint>
#include <windows.h>
namespace fs = std::filesystem;
fs::path GetExeDir();
void ScanLuaFiles(const std::filesystem::path& root, std::set<char32_t>& outChars);
void WriteCharSet(const std::set<char32_t>& chars, const std::filesystem::path& outPath);